{% extends "bootstrap/base.html" %}

{% block title %} Login/SignUp {% endblock %}

{% block content %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="{{url_for('static', filename='index.css')}}" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
{% endblock %}

<body>
  {% include "navBar.html"%}

  <!-- flashed messages will be used to confirm to user information from application layer-->
    {% with messages = get_flashed_messages() %}
      {% if messages %}
        <ul>
          {% for messages in messages %}
            <li>{{messages}}</li>
          {% endfor %}
        </ul>
      {% endif %}
    {% endwith %}

<h1>Login</h1>

  <form action="" method="post" name="login">
    {{form.hidden_tag()}}

    <center>
      <table>
        <tr>
          <td><lable>Username:</lable></td>
          <td>{{ form.username}}</td>
        </tr>
        {% for error in form.username.errors %}
        <tr>
          <td>
            <span style='color: red;'>[{{ error }}]</span>
          </td>
        </tr>
        {% endfor %}

        <tr>
          <td><lable>Password:</lable></td>
          <td>{{ form.rawPassword}}</td>
        </tr>
        {% for error in form.username.errors %}
        <tr>
          <td>
            <span style='color: red;'>[{{ error }}]</span>
          </td>
        </tr>
        {% endfor %}

      </table>
    </center>
    <p><input type="submit" value="submit"/></p>
  </form>

</body>
{% endblock %}
